Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.adventure.actions.custom
Class FadeIn

    java.lang.Object
      de.rico.adventure.actions.AbstractAction
          de.rico.adventure.actions.custom.FadeIn

    public class FadeIn

extends AbstractAction

This game action fades the screen in from a certain color.

Author:
  Frank Bruns

Constructor Summary
`FadeIn(float red, float green, float blue, int fadingTime)` Creates a game action that fades the screen in from a certain color.

Method Summary
`void` | `draw(javax.media.opengl.GL gl)` This method renders the game action, if needed.
`void` | `finishUp()` Implementations of this method hold code that needs to be called before the game action can be removed from the queue (prematurely) without causing side effects.
`void` | `update(long elapsedTime)` This method updates the game action

Methods inherited from class de.rico.adventure.actions.AbstractAction
`getEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FadeIn

    public FadeIn(float red,
                  float green,
                  float blue,
                  int fadingTime)

  Creates a game action that fades the screen in from a certain color. The color to fade from can be kept up for a certain amount of time before the fading actually starts.

  Parameters:
    `red` - amount of red to fade in from
    `green` - amount of green to fade in from
    `blue` - amount of blue to fade in from
    `fadingTime` - time to use for the fading process

Method Detail

### update

    public void update(long elapsedTime)

  Description copied from class: `AbstractAction`
  This method updates the game action

  Specified by:
    `update` in class `AbstractAction`
  Parameters:
    `elapsedTime` - time between two frames

### draw

    public void draw(javax.media.opengl.GL gl)

  Description copied from class: `AbstractAction`
  This method renders the game action, if needed.

  Specified by:
    `draw` in class `AbstractAction`

### finishUp

    public void finishUp()

  Description copied from class: `AbstractAction`
  Implementations of this method hold code that needs to be called before the game action can be removed from the queue (prematurely) without causing side effects.

  Specified by:
    `finishUp` in class `AbstractAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD